API Reference / Contacts

GET /contacts/{contact_id}/actions

Get all actions for a specific contact

Returns the actions on this contact, with the same paging, sorting and date filters as GET /actions. Pass status to narrow to asap, waiting, date, queued or done.

Path parameters

Name Type Description
contact_id req string Contact ID
Query parameters (12)
Name Type Description
done boolean Should only return completed actions (i.e. have status `done`)?
status string Return actions of a particular status (i.e. `asap`, `date`, `date_time`, `waiting`, `queued`, `queued_with_date`, or `done`)
assignee_id string Return actions assigned to a specific user
date_filter string Signals which date field to be used for only returning resources, added or edited, in a specified date range (only to be used with `since` and/or `until`, not with `modified_since` or `unmodified_since`)
since string Specifies the start of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp)
until string Specifies the end of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp)
modified_since string Return only resources that were modified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp)
unmodified_since string Return only resources that were unmodified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp)
sort_by string Specify field by which to order the results (use in conjunction with `order`)
order string Specify the order (ascending or descending) of the sort of the results (use in conjunction with `sort_by`)
page integer Page number. Starts from 1. Default is 1.
per_page integer Number of records to return. Maximum 100 allowed. Default is 10.

Responses

200 OK
  • statusintegerint32

    Response code

  • messagestring

    Response message

  • timestampintegerunix-timestamp

    Response time

  • dataobject
    object fields →
    • actionsarray<object>
      array item fields →
      • actionobject

        Completable tasks related to Contacts. ASAP first, then dated actions ordered by due date (overdue first), followed by waiting for (blocked) and finally queued actions (without any date).

        object fields →
        • idstringbson-id

          ID of the action

        • assignee_idstringbson-idrequired

          ID of the user, to whom the action is assigned. Defaults to the logged API user's ID.

        • contact_idstringbson-idrequired

          ID of the contact, with whom the action is associated

        • textstringrequired

          The main text/description of the action

        • statusstring

          Status of the action

          enum: asap · date · date_time · waiting · queued · queued_with_date · done

        • datestringdate

          Due date for the action (status must be one of `date`, `date_time` or `queued_with_date`). Defaults to today's date.

        • exact_timeintegerunix-timestamp

          The UNIX Epoch time in seconds the action is due (status must be `date_time`)

        • positionintegerint32

          The position of the action (in the list of queued actions)

        • doneboolean

          Has the action been marked as complete?

        • done_atstringdate

          The date the action was completed (only returned, if action complete)

        • created_atstringdate-time

          Creation time of the action

        • modified_atstringdate-time

          Last modification time of the action

    • total_countintegerint32

      Total number of items

    • pageintegerint32

      Current page number

    • per_pageintegerint32

      Number of items returned in each page

    • max_pageintegerint32

      The page number of the last page of items

Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.

Related guides